Subject: [bug#56987] [PATCH] etc: guix-debbugs.el: new file.

From: Michael Albinus <[email-masked]>
Date: Thu, 11 Aug 2022 08:24:46 +0200

[email-masked] writes:

Hi Joshua,

> I am willing to submit copyright assignment to GNU/FSF.  It looks like the FSF
> has a webpage that may make this process easier:
>
> https://sfconservancy.org/assignment/
>
> Should I use that web page to submit my potential copyright assignment?

No, you need the FSF template. Sent offlist.

>>> @example
>>> @kbd{C-u} @kbd{M-x} debbugs-gnu @kbd{RET} @kbd{RET} guix-patches @kbd{RET} n y
>>> @end example
>>
>> Alternatively, a user could set debbugs-gnu-default-packages to '("guix" "guix-patches")
>> Then it won't be necessary to enter the package name(s) again and again.
>
> I think that I have tried that in my config, and I could not get it to work.
>
> I will try again and get back to you, and update the guix documentation accordingly.

Well, debbugs-gnu-default-packages isn't used for
debbugs-gnu-search. But since you are writing about the debbugs package
in general, the hint might still be useful.

>> debbugs.el uses a cache, which flushes the value after an hour. See the
>> variable debbugs-cache-expiry.
>
> Maybe, we could mark a bug as done in the cache when one closes the bug via
> debbugs.  That may be a little above my paygrade though.

That's a hazardous way. Bugs are not only closed, but changed in many
ways. And you don't know, whether a user sends the control message she
has started to compose.

In debbugs-gnu-make-control-message, a bug is already removed from the
cache when the control message is sent. This is good enough I believe.

Next time the bug data are needed, the data for this bug are fetched
from the server. However, you must be a little bit patient, when you
retrieve the data immediately after sending the control message, the
server might not be ready with the action, and it might send the
unchanged data.

Best regards, Michael.